Subject: [netmod] [Technical Errata Reported] RFC7950 (5617)

From: RFC Errata System <[email-masked]>
Date: Wed, 30 Jan 2019 02:35:14 -0800 (PST)

The following errata report has been submitted for RFC7950,
"The YANG 1.1 Data Modeling Language".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5617

--------------------------------------
Type: Technical
Reported by: Marek Michalak, Pawel Koch <[email-masked]>

Section: 14

Original Text
-------------
path-arg            = absolute-path / relative-path

Corrected Text
--------------
path-arg            = deref-expr / path-str

deref-expr          = deref-function-invocation *WSP "/" *WSP 
                      relative-path

path-str            = absolute-path / relative-path

deref-function-invocation = deref-keyword *WSP
                            "(" *WSP path-str *WSP ")"

deref-keyword       = %s"deref"

Notes
-----
This is to allow path statement to contain also "deref" function invocation which is supported by pyang and Cisco compiler but for now is not supported by i.e. yanglint validator because of above statement which does not allow for it.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7950 (draft-ietf-netmod-rfc6020bis-14)
--------------------------------------
Title               : The YANG 1.1 Data Modeling Language
Publication Date    : August 2016
Author(s)           : M. Bjorklund, Ed.
Category            : PROPOSED STANDARD
Source              : Network Modeling
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG

---

From: Ladislav Lhotka <[email-masked]>
Date: Wed, 30 Jan 2019 11:45:51 +0100

Hi,

this erratum should be rejected. It is a substantial technical change of the
spec, and section 9.9.2 doesn't indicate any possibility of using deref().

Lada

On Wed, 2019-01-30 at 02:35 -0800, RFC Errata System wrote:
> This is to allow path statement to contain also "deref" function invocation
> which is supported by pyang and Cisco compiler but for now is not supported by
> i.e. yanglint validator because of above statement which does not allow for
> it.
> 
> Instructions:
> -------------
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod
-- 
Ladislav Lhotka
Head, CZ.NIC Labs
PGP Key ID: 0xB8F92B08A9F76C67

---

From: Warren Kumari <[email-masked]>
Date: Thu, 31 Jan 2019 11:00:25 -0500

> spec, and section 9.9.2 doesn't indicate any possibility of using deref().
Yup, while it might be a good idea, it isn't an errata, and would need a
-bis or similar....
W

-- 
I don't think the execution is relevant when it was obviously a bad idea in
the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair of
pants.
   ---maf